import 'package:flutter/material.dart';
import 'package:stream2app/stream2app.dart';

import 'SignInPage.dart';

final String ipv4Address = '192.168.2.4';
final serverUrl = 'ws://'+ipv4Address+':3123';

void main() {
  runApp(ChatApp());
}

class ChatApp extends StatelessWidget {

  ChatApp(){
    Stream2App.instance.init(serverUrl: serverUrl, logger: Logger(useDefaultLogger: true), projectName: 'chat');
    Stream2App.instance.connect();
  }

  @override
  Widget build(BuildContext context) {

    return MaterialApp(
      title: 'Chat',
      debugShowCheckedModeBanner: false,
      home: SignInPage(),
    );
  }
}

